=== debian/changelog ===
opm-common (2021.10-3) unstable; urgency=medium

  * d/control: do not force g++ as compiler
  * d/control Build on any architecture even though we fail on 32bit.
  * d/tests/control: Allow autopkgtest only on 64bit hardware.

 -- Markus Blatt <markus@dr-blatt.de>  Mon, 24 Jan 2022 16:54:13 +0100

opm-common (2021.10-2) unstable; urgency=medium

  * d/patches: Support g++-11.2.0 and libfmt >=8.1.0
  * d/control: Move to standard version 4.6.0

 -- Markus Blatt <markus@dr-blatt.de>  Fri, 21 Jan 2022 18:37:22 +0100

opm-common (2021.10-1) unstable; urgency=medium

  * Initial release (Closes: #987381)

 -- Markus Blatt <markus@dr-blatt.de>  Tue, 16 Nov 2021 15:50:54 +0100
