=== debian/control ===
Source: opm-common
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Arne Morten Kvarving <arne.morten.kvarving@sintef.no>, Markus Blatt <markus@dr-blatt.de>
Build-Depends: cmake (>=3.10), mpi-default-bin, mpi-default-dev,
               debhelper-compat (= 13), libcjson-dev, libfmt-dev, quilt, dh-python,
               pkg-config, git, libtool, doxygen, graphviz,
               texlive-latex-extra, texlive-latex-recommended,
               ghostscript, libboost-system-dev, libboost-test-dev,
               zlib1g-dev, python3-dev, libpython3-dev, python3-numpy, python3-distutils,
               python3-setuptools, python3-setuptools-scm, python3-pytest-runner,
               python3-decorator, libdune-common-dev, pybind11-dev
Standards-Version: 4.6.0
Section: libs
Homepage: http://opm-project.org
Vcs-Browser: https://salsa.debian.org/science-team/opm-common
Vcs-Git: https://salsa.debian.org/science-team/opm-common.git
Rules-Requires-Root: no

Package: libopm-common
Pre-Depends: ${misc:Pre-Depends}
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
Provides: ${opm:shared-library}
Replaces: libopm-common1
Description: Tools for Eclipse reservoir simulation files -- library
 The Open Porous Media (OPM) software suite provides libraries and
 tools for modeling and simulation of porous media processes, especially
 for simulating CO2 sequestration and improved and enhanced oil recovery.
 .
 The Eclipse file format is widely used in the reservoir simulation
 community. This package provides library containing code for processing
 files in Eclipse format as well as utility code used by other OPM
 modules.

Package: libopm-common-bin
Pre-Depends: ${misc:Pre-Depends}
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libopm-common1-bin
Description: Tools for Eclipse reservoir simulation files -- utility programs
 The Open Porous Media (OPM) software suite provides libraries and
 tools for modeling and simulation of porous media processes, especially
 for simulating CO2 sequestration and improved and enhanced oil recovery.
 .
 The Eclipse file format is widely used in the reservoir simulation
 community. This package provides utility programs to process files
 in this format, like for comparing two files, converting between
 binary version and formatted text file format, etc.

Package: libopm-common-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Suggests: libopm-common-doc
Replaces: libopm-common1-dev
Depends: ${opm:shared-library},  ${misc:Depends}, libcjson-dev, libfmt-dev,
         libboost-system-dev, libpython3-dev
Description: Tools for Eclipse reservoir simulation files -- development files
 The Open Porous Media (OPM) software suite provides libraries and
 tools for modeling and simulation of porous media processes, especially
 for simulating CO2 sequestration and improved and enhanced oil recovery.
 .
 This package contains the shared buildsystem of all OPM modules,
 the headers for input, parsing, and output of files in Eclipse format,
 a format widely used in the reservoir simulation community, and generic
 utilities used in other OPM modules.

Package: libopm-common-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Replaces: libopm-common1-doc
Depends: ${misc:Depends}
Description: Tools for Eclipse reservoir simulation files -- documentation
 The Open Porous Media (OPM) software suite provides libraries and
 tools for modeling and simulation of porous media processes, especially
 for simulating CO2 sequestration and improved and enhanced oil recovery.
 .
 This package contains the source code documentation of library and tools
 for Eclipse reservoir simulation files.

Package: python3-opm-common
Section: python
Pre-Depends: ${misc:Pre-Depends}
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, libopm-common, python3-numpy, python3-decorator
Description: Tools for Eclipse reservoir simulation files -- Python wrappers
 The Open Porous Media (OPM) software suite provides libraries and
 tools for modeling and simulation of porous media processes,
 especially for simulating CO2 sequestration and improved and enhanced
 oil recovery.
 .
 This package contains the Python wrappers for reading, parsing, and
 writing files in Eclipse format, a format widely used in the
 reservoir simulation community.
