=== debian/tests/control ===
Tests: basic
Depends:
  libdune-common-dev,
  libopm-common-dev,
  build-essential,
  mpi-default-bin, mpi-default-dev,
  libboost-test-dev
# Limit architectures to 64bit as we do not test successfully on 32bit
Architecture: amd64 arm64 ia64 mips64el ppc64el ia64 kfreebsd-amd64 ppc64 riscv64 sparc64
Restrictions: allow-stderr
