## opm-common 2022.04+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
 option(ENABLE_ECL_OUTPUT "Enable eclipse output support?" ON)
 option(ENABLE_MOCKSIM "Build the mock simulator for io testing" ON)
 option(OPM_ENABLE_PYTHON "Enable python bindings?" OFF)
-option(OPM_INSTALL_PYTHON "Enable python bindings?" OFF)
+option(OPM_INSTALL_PYTHON "Install python bindings?" ON)
 option(OPM_ENABLE_EMBEDDED_PYTHON "Enable embedded python?" OFF)
 
 # Output implies input
@@ -80,6 +80,13 @@
   endif()
 endif()
 
+if(OPM_ENABLE_EMBEDDED_PYTHON AND NOT OPM_ENABLE_PYTHON)
+  # This needs to be here to run before source_hook
+  message(WARNING "Inconsistent settings: OPM_ENABLE_PYTHON=OFF and "
+    "OPM_ENABLE_EMBEDDED_PYTHON=ON. Please use OPM_ENABLE_PYTHON=ON to "
+    "activate. Will disable embedded python in this run.")
+  set(OPM_ENABLE_EMBEDDED_PYTHON OFF CACHE BOOL "Enable embedded python?" FORCE)
+endif()
 # read the list of components from this file (in the project directory);
 # it should set various lists with the names of the files to include
 include (CMakeLists_files.cmake)
@@ -130,11 +137,11 @@
     foreach (name A B C D E F G H I J K L M N O P Q R S T U V W X Y Z)
         list(INSERT opm-common_SOURCES 0 ${PROJECT_BINARY_DIR}/ParserKeywords/${name}.cpp)
     endforeach()
-    if (OPM_ENABLE_PYTHON)
+    if (OPM_ENABLE_EMBEDDED_PYTHON)
       list(INSERT opm-common_SOURCES 0 ${PROJECT_BINARY_DIR}/python/cxx/builtin_pybind11.cpp)
     endif()
   endif()
-  set_source_files_properties(src/opm/parser/eclipse/Python/Python.cpp
+  set_source_files_properties(src/opm/input/eclipse/Python/Python.cpp
                               PROPERTIES COMPILE_FLAGS -Wno-shadow)
 endmacro (sources_hook)
 
@@ -192,6 +199,18 @@
     else()
       find_package(Python3 REQUIRED COMPONENTS Interpreter)
     endif()
+    # Make sure we fail gracefully here without setuptool
+    execute_process(COMMAND ${Python3_EXECUTABLE} -c "import setuptools"
+      WORKING_DIRECTORY ${PROJECT_BINARY_DIR}
+      ERROR_VARIABLE SETUPTOOL_ERROR OUTPUT_VARIABLE SETUPTOOL_OUT
+      RESULT_VARIABLE SETUPTOOL_RESULT)
+    if(SETUPTOOL_RESULT GREATER 0)
+      message(WARNING "Trying to test setuptools resulted in error message: ${SETUPTOOL_ERROR}")
+      message(SEND_ERROR "To build the python bindings you need to install setuptool. "
+        "Either use \"apt-get install python3-setuptools\" (on Debian/Ubuntu) "
+        "or \"pip install setuptools\"")
+    endif()
+
     # Compatibility settings for PythonInterp and PythonLibs
     # used e.g. in FindCwrap, pybind11
     set(PYTHON_EXECUTABLE ${Python3_EXECUTABLE})
@@ -243,10 +262,6 @@
   endif()
 endif()
 
-if (ENABLE_SCHEDULE_DEBUG)
-  add_compile_definitions( SCHEDULE_DEBUG )
-endif()
-
 # Build the compare utilities
 if(ENABLE_ECL_INPUT)
   add_executable(compareECL
@@ -263,11 +278,15 @@
     test_util/summary.cpp
     )
 
+  add_executable(arraylist
+    test_util/arraylist.cpp
+    )
+
   add_executable(rewriteEclFile
     test_util/rewriteEclFile.cpp
     )
 
-  foreach(target compareECL convertECL summary rewriteEclFile)
+  foreach(target compareECL convertECL summary rewriteEclFile arraylist)
     target_link_libraries(${target} opmcommon)
     install(TARGETS ${target} DESTINATION bin)
   endforeach()
@@ -278,39 +297,3 @@
 
   opm_add_test(test_EclFilesComparator
     CONDITION
-      ENABLE_ECL_INPUT AND Boost_UNIT_TEST_FRAMEWORK_FOUND
-    SOURCES
-      tests/test_EclFilesComparator.cpp
-      test_util/EclFilesComparator.cpp
-    LIBRARIES
-      ${_libs}
-    WORKING_DIRECTORY
-      ${PROJECT_BINARY_DIR}/tests
-    )
-
-  opm_add_test(test_EclRegressionTest
-    CONDITION
-      ENABLE_ECL_INPUT AND Boost_UNIT_TEST_FRAMEWORK_FOUND
-    SOURCES
-      tests/test_EclRegressionTest.cpp
-      test_util/EclFilesComparator.cpp
-      test_util/EclRegressionTest.cpp
-    LIBRARIES
-      ${_libs}
-    WORKING_DIRECTORY
-      ${PROJECT_BINARY_DIR}/tests
-    )
-
-  foreach(test test_EclIO test_EGrid test_ERft test_ERst test_ESmry test_EInit test_ExtESmry)
-    opm_add_test(${test} CONDITION ENABLE_ECL_INPUT AND Boost_UNIT_TEST_FRAMEWORK_FOUND
-                         LIBRARIES ${_libs}
-                         WORKING_DIRECTORY ${PROJECT_BINARY_DIR}/tests)
-  endforeach()
-endif()
-
-# Install build system files and documentation
-install(DIRECTORY cmake
-  DESTINATION share/opm USE_SOURCE_PERMISSIONS
-  PATTERN "OPM-CMake.md" EXCLUDE)
-
-install(FILES cmake/OPM-CMake.md
