=== debian/changelog ===
opm-common (2022.04+ds-2build1) kinetic; urgency=medium

  * No-change rebuild against libfmt9

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 21 Aug 2022 06:06:59 +0000

opm-common (2022.04+ds-2) unstable; urgency=medium

  * Changed version in dune.module to 2022.04

 -- Markus Blatt <markus@dr-blatt.de>  Thu, 12 May 2022 14:18:59 +0200

opm-common (2022.04+ds-1) unstable; urgency=medium

  * New final upstream version 2022.04
  * d/watch: Added dversionmangle option for repackaged tarball

 -- Markus Blatt <markus@dr-blatt.de>  Wed, 11 May 2022 22:46:25 +0200

opm-common (2022.04~rc1-2) experimental; urgency=medium

  * Make not finding Quadmath non-fatal (e.g. not available on arm64)

 -- Markus Blatt <markus@dr-blatt.de>  Fri, 29 Apr 2022 09:28:26 +0200

opm-common (2022.04~rc1-1) experimental; urgency=medium

  * New upstream release candidate 2022.04-rc1
  * Rediff patches
  * make new program arraylist part of libopm-common-bin.
  * d/copyright: Fix lintian warning "superfluous-file-pattern ./*"
  * d/control: Use debhelper-compat=12 to support older Ubuntu .
  * Spelling fixes (valied -> valid).
  * d/tests: Do not limit architectures but skip not installable

 -- Markus Blatt <markus@dr-blatt.de>  Wed, 27 Apr 2022 23:01:13 +0200

opm-common (2021.10-4) unstable; urgency=medium

  * d/tests: Make opm-autopkgtest script strip superfluous libraries

 -- Markus Blatt <markus@dr-blatt.de>  Mon, 25 Apr 2022 17:15:12 +0200
