=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: opm-common
 Priority: optional
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Arne Morten Kvarving <arne.morten.kvarving@sintef.no>, Markus Blatt <markus@dr-blatt.de>
 Build-Depends: cmake (>=3.10), mpi-default-bin, mpi-default-dev,
-               debhelper-compat (= 13), libcjson-dev, libfmt-dev, quilt, dh-python,
+               debhelper-compat (= 12), libcjson-dev, libfmt-dev, quilt, dh-python,
                pkg-config, git, libtool, doxygen, graphviz,
                texlive-latex-extra, texlive-latex-recommended,
                ghostscript, libboost-system-dev, libboost-test-dev,
