## opm-common 2022.10%2Bds

=== debian/rules ===
--- 
+++ 
@@ -7,10 +7,14 @@
 
 OPM_DEBIAN_CMAKE_FLAGS = -DOPM_ENABLE_PYTHON=1 -DOPM_INSTALL_PYTHON=1 -DPYTHON_EXECUTABLE=/usr/bin/python3 -DOPM_INSTALL_COMPILED_PYTHON=OFF -DOPM_ENABLE_EMBEDDED_PYTHON=1
 
-
+need_gb_ram_per_process=3
+free_ram=$(shell free -g | sed -n 2p| sed "s/ \+/ /g"| cut -d " " -f 2)
+max_procs=$(shell echo "$(free_ram)/$(need_gb_ram_per_process)" | bc)
+parallel_procs=$(shell if test "$(max_procs)" -lt "1"; then echo 1; else echo "$(max_procs)"; fi)
 
 %:
-	dh $@ --with python3
+	echo "ram in gb: $(free_ram), needed ram per thread: $(need_gb_ram_per_process), threads: $(parallel_procs)"
+	dh $@ --with python3 --max-parallel=$(parallel_procs)
 
 include debian/opm-debian.mk
 include debian/opm-lib-debian.mk # for makeshlibs
