## opm-common 2022.10+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -32,13 +32,13 @@
                                        set(ENABLE_ECL_INPUT ${ENABLE_ECL_INPUT})
                                        set(OPM_MACROS_ROOT ${CMAKE_INSTALL_PREFIX}/share/opm)
                                        list(APPEND CMAKE_MODULE_PATH \${OPM_MACROS_ROOT}/cmake/Modules)
-                                       include(OpmPackage) #Make macros availabe after find_package(opm-common)")
+                                       include(OpmPackage) #Make macros available after find_package(opm-common)")
 
 set(OPM_PROJECT_EXTRA_CODE_INTREE "#ENABLE_ECL_INPUT is needed by opm-common-prereq.cmake
                                    set(ENABLE_ECL_INPUT ${ENABLE_ECL_INPUT})
                                    set(OPM_MACROS_ROOT ${OPM_MACROS_ROOT})
                                    list(APPEND CMAKE_MODULE_PATH \${OPM_MACROS_ROOT}/cmake/Modules)
-                                   include(OpmPackage) #Make macros availabe after find_package(opm-common)")
+                                   include(OpmPackage) #Make macros available after find_package(opm-common)")
 if(ENABLE_ECL_OUTPUT)
   set(OPM_PROJECT_EXTRA_CODE_INSTALLED "${OPM_PROJECT_EXTRA_CODE_INSTALLED}
                                         set(COMPARE_ECL_COMMAND ${CMAKE_INSTALL_PREFIX}/bin${${name}_VER_DIR}/compareECL)
@@ -136,6 +136,7 @@
     list(INSERT opm-common_SOURCES 0 ${PROJECT_BINARY_DIR}/ParserInit.cpp)
     foreach (name A B C D E F G H I J K L M N O P Q R S T U V W X Y Z)
         list(INSERT opm-common_SOURCES 0 ${PROJECT_BINARY_DIR}/ParserKeywords/${name}.cpp)
+        list(INSERT opm-common_HEADERS 0 ${PROJECT_BINARY_DIR}/include/opm/input/eclipse/Parser/ParserKeywords/${name}.hpp)
     endforeach()
     if (OPM_ENABLE_EMBEDDED_PYTHON)
       list(INSERT opm-common_SOURCES 0 ${PROJECT_BINARY_DIR}/python/cxx/builtin_pybind11.cpp)
@@ -162,6 +163,14 @@
           DESTINATION include
           PATTERN *.hpp)
 endmacro (install_hook)
+
+# Used to append entries from one list to another.
+# The output list is suitable for use in setup.py subtitution
+macro(append_quoted OUT IN)
+  foreach(ENTRY ${${IN}})
+    list(APPEND ${OUT} "'${ARGN}${ENTRY}'")
+  endforeach()
+endmacro()
 
 # If opm-common is configured to embed the python interpreter we must make sure
 # that all downstream modules link libpython transitively. Due to the required
@@ -184,6 +193,8 @@
     endif()
     set(Python3_EXECUTABLE ${PYTHON_EXECUTABLE})
     set(Python3_LIBRARIES ${PYTHON_LIBRARIES})
+    set(Python3_VERSION "${PYTHON_VERSION_STRING}")
+    set(Python3_VERSION_MINOR ${PYTHON_VERSION_MINOR})
   else()
     # Be backwards compatible.
     if(PYTHON_EXECUTABLE AND NOT Python3_EXECUTABLE)
@@ -210,10 +221,21 @@
         "Either use \"apt-get install python3-setuptools\" (on Debian/Ubuntu) "
         "or \"pip install setuptools\"")
     endif()
+    if(Python3_VERSION_MINOR LESS 3)
+      # Python native namespace packages requires python >= 3.3
+      message(SEND_ERROR "OPM requires python >= 3.3 but only version ${Python3_VERSION} was found")
+    endif()
 
     # Compatibility settings for PythonInterp and PythonLibs
     # used e.g. in FindCwrap, pybind11
     set(PYTHON_EXECUTABLE ${Python3_EXECUTABLE})
+    # Directory to install common (for opm modules) python scripts
+    include (GNUInstallDirs)
+    set(OPM_PYTHON_COMMON_DIR "${CMAKE_INSTALL_DATAROOTDIR}/opm/python")
+    set(OPM_PROJECT_EXTRA_CODE_INTREE "${OPM_PROJECT_EXTRA_CODE_INTREE}
+                                       set(opm-common_PYTHON_COMMON_DIR ${PROJECT_SOURCE_DIR}/python)")
+    set(OPM_PROJECT_EXTRA_CODE_INSTALLED "${OPM_PROJECT_EXTRA_CODE_INSTALLED}
+                                         set(opm-common_PYTHON_COMMON_DIR ${CMAKE_INSTALL_PREFIX}/${OPM_PYTHON_COMMON_DIR})")
   endif()
   # We always need the PYTHON_INCLUDE_DIR. Unfortunately
   # When we build pypi packages CMake will fail to determine
@@ -247,53 +269,3 @@
   target_link_libraries(mocksim opmcommon)
   target_include_directories(mocksim PUBLIC msim/include)
   add_executable(msim examples/msim.cpp)
-  target_link_libraries(msim mocksim)
-
-  if (Boost_UNIT_TEST_FRAMEWORK_FOUND)
-    set(_libs mocksim opmcommon
-      ${Boost_UNIT_TEST_FRAMEWORK_LIBRARY})
-
-    foreach( test test_msim test_msim_ACTIONX test_msim_EXIT)
-      opm_add_test(${test} SOURCES tests/msim/${test}.cpp
-        LIBRARIES ${_libs}
-        WORKING_DIRECTORY ${PROJECT_BINARY_DIR}/tests
-        CONDITION ${HAVE_ECL_INPUT})
-    endforeach()
-  endif()
-endif()
-
-# Build the compare utilities
-if(ENABLE_ECL_INPUT)
-  add_executable(compareECL
-    test_util/EclFilesComparator.cpp
-    test_util/EclRegressionTest.cpp
-    test_util/compareECL.cpp
-    )
-
-  add_executable(convertECL
-    test_util/convertECL.cpp
-    )
-
-  add_executable(summary
-    test_util/summary.cpp
-    )
-
-  add_executable(arraylist
-    test_util/arraylist.cpp
-    )
-
-  add_executable(rewriteEclFile
-    test_util/rewriteEclFile.cpp
-    )
-
-  foreach(target compareECL convertECL summary rewriteEclFile arraylist)
-    target_link_libraries(${target} opmcommon)
-    install(TARGETS ${target} DESTINATION bin)
-  endforeach()
-
-  # Add the tests
-  set(_libs opmcommon
-            ${Boost_UNIT_TEST_FRAMEWORK_LIBRARY})
-
-  opm_add_test(test_EclFilesComparator
-    CONDITION
