=== debian/changelog ===
opm-common (2022.10+ds-7) unstable; urgency=medium

  * d/control: Limit the architectures to known working ones.

 -- Markus Blatt <markus@dr-blatt.de>  Thu, 23 Mar 2023 08:34:59 +0100

opm-common (2022.10+ds-6) unstable; urgency=medium

  * Reduce compile time and resources with g++-12
  * d: Fixed version string used in binaries.

 -- Markus Blatt <markus@dr-blatt.de>  Wed, 08 Mar 2023 23:05:15 +0100

opm-common (2022.10+ds-5) experimental; urgency=medium

  * Backported fixes for python tests from upstream (to fix mipsel*?)
  * d/rules: Try to limit parallel builds to ensure 3GB RAM per process

 -- Markus Blatt <markus@dr-blatt.de>  Sun, 05 Feb 2023 13:59:47 +0100

opm-common (2022.10+ds-4) unstable; urgency=medium

  * Make sure copy_python is run before CopyHeaders Closes: #1029440

 -- Markus Blatt <markus@dr-blatt.de>  Sat, 28 Jan 2023 21:44:01 +0100

opm-common (2022.10+ds-3) unstable; urgency=medium

  * Upload to unstable
  * Bump standards version to 4.6.2

 -- Markus Blatt <markus@dr-blatt.de>  Fri, 13 Jan 2023 14:46:07 +0100

opm-common (2022.10+ds-2) experimental; urgency=medium

  * Bump standards version to 4.6.1
  * Made FindAlberta compliant for using OPM packages as DUNE 2.9 packages.

 -- Markus Blatt <markus@dr-blatt.de>  Mon, 09 Jan 2023 09:35:20 +0100

opm-common (2022.10+ds-1) unstable; urgency=medium

  * New upstream version 2022.10
  * [reprobuild] Prevent built timestamps in programs
  * d/tests: Bump version dependency to current version.

 -- Markus Blatt <markus@dr-blatt.de>  Tue, 15 Nov 2022 15:39:10 +0100

opm-common (2022.10~rc2+ds-1) experimental; urgency=medium

  * New upstream release candidate 2022.10-rc1
  * d/tests: depend on same version of packages for autopkgtest.

 -- Markus Blatt <markus@dr-blatt.de>  Tue, 08 Nov 2022 20:24:53 +0100

opm-common (2022.10~rc1+ds-1) experimental; urgency=medium

  * New upstream release candidate 2022.10-rc1
  * Updated patches for new version
  * d: Mark copied python files as not to be installed.

 -- Markus Blatt <markus@dr-blatt.de>  Fri, 04 Nov 2022 09:27:22 +0100
