=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: opm-common
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Arne Morten Kvarving <arne.morten.kvarving@sintef.no>, Markus Blatt <markus@dr-blatt.de>
-Build-Depends: cmake (>=3.10), mpi-default-bin, mpi-default-dev,
+Build-Depends: cmake (>=3.10), mpi-default-bin, mpi-default-dev, bc, procps,
                debhelper-compat (= 12), libcjson-dev, libfmt-dev, quilt, dh-python,
-               pkg-config, git, libtool, doxygen, graphviz,
+               pkg-config, lsb-release, libtool, doxygen, graphviz,
                texlive-latex-extra, texlive-latex-recommended,
                ghostscript, libboost-system-dev, libboost-test-dev,
                zlib1g-dev, python3-dev, libpython3-dev, python3-numpy, python3-distutils,
                python3-setuptools, python3-setuptools-scm, python3-pytest-runner,
                python3-decorator, libdune-common-dev, pybind11-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Section: libs
 Homepage: http://opm-project.org
 Vcs-Browser: https://salsa.debian.org/science-team/opm-common
@@ -20,7 +19,7 @@
 
 Package: libopm-common
 Pre-Depends: ${misc:Pre-Depends}
-Architecture: any
+Architecture: amd64 arm64 armel ia64 m68k mips64el mipsel ppc64el riscv64
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
 Provides: ${opm:shared-library}
@@ -37,7 +36,7 @@
 
 Package: libopm-common-bin
 Pre-Depends: ${misc:Pre-Depends}
-Architecture: any
+Architecture: amd64 arm64 armel ia64 m68k mips64el mipsel ppc64el riscv64
 Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Replaces: libopm-common1-bin
@@ -53,7 +52,7 @@
 
 Package: libopm-common-dev
 Section: libdevel
-Architecture: any
+Architecture: amd64 arm64 armel ia64 m68k mips64el mipsel ppc64el riscv64
 Multi-Arch: same
 Suggests: libopm-common-doc
 Replaces: libopm-common1-dev
@@ -86,7 +85,7 @@
 Package: python3-opm-common
 Section: python
 Pre-Depends: ${misc:Pre-Depends}
-Architecture: any
+Architecture: amd64 arm64 armel ia64 m68k mips64el mipsel ppc64el riscv64
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, libopm-common, python3-numpy, python3-decorator
 Description: Tools for Eclipse reservoir simulation files -- Python wrappers
  The Open Porous Media (OPM) software suite provides libraries and
